id = "72fcfa732cc74a413a6395c0364e682f56baa1a3"
date = "2017-06-13 21:08:50 +0000"
branch = "glue-1.57.0-branch"
tag = "glue-release-1.57.0"
if tag == "None":
    tag = None
author = "Ryan Fisher <ryan.fisher@ligo.org>"
builder = "Ryan Fisher <ryan.fisher@ligo.org>"
committer = "Ryan Fisher <ryan.fisher@ligo.org>"
status = "CLEAN: All modifications committed"
version = id
verbose_msg = """Branch: glue-1.57.0-branch
Tag: glue-release-1.57.0
Id: 72fcfa732cc74a413a6395c0364e682f56baa1a3

Builder: Ryan Fisher <ryan.fisher@ligo.org>
Build date: 2017-06-13 21:13:33 +0000
Repository status: CLEAN: All modifications committed"""

import warnings

class VersionMismatchError(ValueError):
    pass

def check_match(foreign_id, onmismatch="raise"):
    """
    If foreign_id != id, perform an action specified by the onmismatch
    kwarg. This can be useful for validating input files.

    onmismatch actions:
      "raise": raise a VersionMismatchError, stating both versions involved
      "warn": emit a warning, stating both versions involved
    """
    if onmismatch not in ("raise", "warn"):
        raise ValueError(onmismatch + " is an unrecognized value of onmismatch")
    if foreign_id == "72fcfa732cc74a413a6395c0364e682f56baa1a3":
        return
    msg = "Program id (72fcfa732cc74a413a6395c0364e682f56baa1a3) does not match given id (%s)." % foreign_id
    if onmismatch == "raise":
        raise VersionMismatchError(msg)

    # in the backtrace, show calling code
    warnings.warn(msg, UserWarning)

